body {
    background: #057aa2;
}
.logo-area {
    text-align: center;
    margin-bottom: -80px;
}
.logo-area img {
    max-width: 140px;
    aspect-ratio: 1;
    object-fit: contain;
    object-position: center;
}
.logo-area h3 {
    color: #fff;
    text-align: center;
}
.timer-section {
    display: flex;
    justify-content: space-between;
}
.countdown {
    font-size: 24px;
    background: #01203c;
    color: #fff;
    padding: 8px 20px;
    display: inline-block;
}
.text-countdown {
    color: #fff;
}
.number-grid {
    display: grid;
    grid-template-columns: repeat(10, 1fr);
    gap: 6px;
}
.cell {
    background: #c68d3d;
    padding: 12px;
    text-align: center;
    font-weight: bold;
    color: #fff;
}
.result-table,
.result-table th,
.result-table td,
.table-bordered {
    background: #01203c !important;
    color: #fff !important;
}
.table-bordered {
    border: 1px solid #057aa2 !important;
}

.real-time {
    font-size: 20px;
    color: #fff;
    font-weight: 500;
}
.real-time strong {
    font-size: 18px;
    color: #eee;
    font-weight: 400;
}
/* .cell:hover { background:#0d6efd; color:#fff; } */

@media (max-width: 991px) {
    .number-grid {
        grid-template-columns: repeat(6, 1fr);
        gap: 8px;
    }

    .spinner-outer,
    .spinner-box {
        width: 80px !important;
        height: 80px !important;
        font-size: 2rem !important;
    }

    .table-bordered {
        font-size: 0.95rem;
    }

    .container-fluid.p-3 {
        padding: 1rem !important;
    }

    .row.mb-4,
    .row.mt-4 {
        margin-bottom: 1rem !important;
        margin-top: 1rem !important;
    }
}

@media (max-width: 575px) {
    .number-grid {
        grid-template-columns: repeat(7, 1fr);
        gap: 2px;
    }

    .spinner-outer,
    .spinner-box {
        width: 56px !important;
        height: 56px !important;
        font-size: 1.2rem !important;
    }

    .table-bordered {
        font-size: 0.85rem;
    }

    h3.text-center {
        font-size: 1.3rem !important;
    }
    .result-table {
        margin-top: 20px;
    }
    .box-label {
        font-size: 1rem !important;
    }
    .logo-area {
        text-align: center;
        margin-bottom: 0;
    }
    .logo-area img {
        max-width: 130px;
    }

    .timer-section {
        display: flex;
        justify-content: start;
        flex-direction: column-reverse;
        gap: 20px;
    }
    .real-time {
        font-size: 18px;
    }
    .real-time strong {
        font-size: 18px;
    }
}
